cgSetParameter4i(3)

NAME
cgSetParameter4i - set the value of scalar and vector parameters

SYNOPSIS
  #include <Cg/cg.h>

  void cgSetParameter4i( CGparameter param,
                         int x,
                         int y,
                         int z,
                         int w );

PARAMETERS

param
    The parameter that will be set.

x, y, z, w
    The values used to set param.

RETURN VALUES
None.

DESCRIPTION
cgSetParameter4i sets the value of a given scalar or vector parameter.

If more values are passed in than param requires, the extra values will be ignored.

Once cgSetParameter4i has been used to set a parameter, the values may be retrieved from the parameter using the CG_CURRENT enumerant with cgGetParameterValues.

If an API-dependant layer of the Cg runtime (e.g. cgGL) is used, these entry points may end up making API (e.g. OpenGL) calls.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_INVALID_PARAMETER_ERROR is generated if param is a varying input to a fragment program.

HISTORY
cgSetParameter4i was introduced in Cg 1.4.

SEE ALSO
cgGetParameterValue, cgGetParameterValues